ctypeslib for Debian
--------------------

Ctypeslib is unreleased as of yet, however worked very well for its
stated usage of automatically generating ctypes interfaces from C or
C++ header files.

As far as I can tell, there are not a large number of users of
ctypeslib yet.  I hope that this Debian package will build a userbase
and get bugs worked out and features added as needed.


There are other similar modules.  I have found:

ctypeslib (this package)
    By the ctypes author, uses gccxml.

ctypesgen
    http://code.google.com/p/ctypesgen/
    Pure python, writes it's own C parser.

pyclibrary
    http://pyparsing.wikispaces.com/message/view/home/18775771
    http://launchpad.net/pyclibrary
    Also seems to be pure Python implementation.


 -- Richard Darst <rkd@zgib.net>  Wed, 18 Nov 2009 03:42:25 -0500
